You’ll need to update your browser so you can continue to log on to your online banking from 28th February. Update now.

Close

What are the system requirements for NetBank?

See all Technical support FAQs

Last updated 22 January 2016


NetBank has been tested for compatibility with the following operating systems and browser combinations:


*We recommend using Google Chrome with older Mac OSX.

NetBank has not been tested on older operating systems, such as: Windows 95, Windows 98, Windows ME (2000), Windows XP, Mac OS8 and OS9. You may not be able to use all of the features available in NetBank if using older browsers or operating systems

To make sure you always have the best experience using NetBank you should regularly update any browsers you use to the most recent version. To upgrade your browser, or for further technical support, please refer to:

www.microsoft.com (for Internet Explorer)
www.firefox.com for Mozilla Firefox)
www.apple.com.au/safari (for Safari)
www.google.com/chrome (for Chrome)

 

Unable to find what you're looking for?

Search for more popular topics